# Enum Class PAL

java.lang.Object
java.lang.Enum<PAL>
org.jmol.c.PAL

All Implemented Interfaces:
  `Serializable, Comparable<PAL>, Constable`

public enum PAL extends Enum<PAL>
Enum for animation mode.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALTLOC`
`AMINO`
`CHAIN`
`CPK`
`ENERGY`
`FIXEDTEMP`
`FORMAL_CHARGE`
`GROUP`
`INSERTION`
`JMOL`
`MOLECULE`
`MONOMER`
`NONE`
`NUCLEIC`
`PARTIAL_CHARGE`
`POLYMER`
`PROPERTY`
`RASMOL`
`SHAPELY`
`STRAIGHTNESS`
`STRUCTURE`
`SURFACE`
`TEMP`
`TYPE`
`UNKNOWN`
`VARIABLE`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int[]`
`argbsCpk`
Default table of CPK atom colors.
`static final int[]`
`argbsCpkRasmol`
`byte`
`id`
`static final byte`
`PALETTE_ALTLOC`
`static final byte`
`PALETTE_AMINO`
`static final byte`
`PALETTE_CHAIN`
`static final byte`
`PALETTE_CPK`
`static final byte`
`PALETTE_ENERGY`
`static final byte`
`PALETTE_FIXEDTEMP`
`static final byte`
`PALETTE_FORMAL_CHARGE`
`static final byte`
`PALETTE_GROUP`
`static final byte`
`PALETTE_INSERTION`
`static final byte`
`PALETTE_JMOL`
`static final byte`
`PALETTE_MOLECULE`
`static final byte`
`PALETTE_MONOMER`
`static final byte`
`PALETTE_NONE`
`static final byte`
`PALETTE_NUCLEIC`
`static final byte`
`PALETTE_PARTIAL_CHARGE`
`static final byte`
`PALETTE_POLYMER`
`static final byte`
`PALETTE_PROPERTY`
`static final byte`
`PALETTE_RASMOL`
`static final byte`
`PALETTE_SHAPELY`
`static final byte`
`PALETTE_STRAIGHTNESS`
`static final byte`
`PALETTE_STRUCTURE`
`static final byte`
`PALETTE_SURFACE`
`static final byte`
`PALETTE_TEMP`
`static final byte`
`PALETTE_TYPE`
`static final byte`
`PALETTE_VARIABLE`
`static final byte`
`PALETTE_VOLATILE`

## Method Summary

Modifier and Type
Method
Description
`static PAL`
`getPalette(String paletteName)`
`static final byte`
`getPaletteID(String paletteName)`
`static final String`
`getPaletteName(byte pid)`
`static boolean`
`isPaletteVariable(byte pid)`
`static byte`
`pidOf(Object value)`
`static PAL`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PAL[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final PAL UNKNOWN

### NONE

public static final PAL NONE

### CPK

public static final PAL CPK

### PARTIAL_CHARGE

public static final PAL PARTIAL_CHARGE

### FORMAL_CHARGE

public static final PAL FORMAL_CHARGE

### TEMP

public static final PAL TEMP

### FIXEDTEMP

public static final PAL FIXEDTEMP

### SURFACE

public static final PAL SURFACE

### STRUCTURE

public static final PAL STRUCTURE

### AMINO

public static final PAL AMINO

### SHAPELY

public static final PAL SHAPELY

### CHAIN

public static final PAL CHAIN

### GROUP

public static final PAL GROUP

### MONOMER

public static final PAL MONOMER

### MOLECULE

public static final PAL MOLECULE

### ALTLOC

public static final PAL ALTLOC

### INSERTION

public static final PAL INSERTION

### JMOL

public static final PAL JMOL

### RASMOL

public static final PAL RASMOL

### TYPE

public static final PAL TYPE

### ENERGY

public static final PAL ENERGY

### PROPERTY

public static final PAL PROPERTY

### VARIABLE

public static final PAL VARIABLE

### STRAIGHTNESS

public static final PAL STRAIGHTNESS

### POLYMER

public static final PAL POLYMER

### NUCLEIC

public static final PAL NUCLEIC

## Field Details

### id

public byte id

### PALETTE_VOLATILE

public static final byte PALETTE_VOLATILE

See Also:
  - Constant Field Values

### PALETTE_NONE

public static final byte PALETTE_NONE

See Also:
  - Constant Field Values

### PALETTE_CPK

public static final byte PALETTE_CPK

See Also:
  - Constant Field Values

### PALETTE_PARTIAL_CHARGE

public static final byte PALETTE_PARTIAL_CHARGE

See Also:
  - Constant Field Values

### PALETTE_FORMAL_CHARGE

public static final byte PALETTE_FORMAL_CHARGE

See Also:
  - Constant Field Values

### PALETTE_TEMP

public static final byte PALETTE_TEMP

See Also:
  - Constant Field Values

### PALETTE_FIXEDTEMP

public static final byte PALETTE_FIXEDTEMP

See Also:
  - Constant Field Values

### PALETTE_SURFACE

public static final byte PALETTE_SURFACE

See Also:
  - Constant Field Values

### PALETTE_STRUCTURE

public static final byte PALETTE_STRUCTURE

See Also:
  - Constant Field Values

### PALETTE_AMINO

public static final byte PALETTE_AMINO

See Also:
  - Constant Field Values

### PALETTE_SHAPELY

public static final byte PALETTE_SHAPELY

See Also:
  - Constant Field Values

### PALETTE_CHAIN

public static final byte PALETTE_CHAIN

See Also:
  - Constant Field Values

### PALETTE_GROUP

public static final byte PALETTE_GROUP

See Also:
  - Constant Field Values

### PALETTE_MONOMER

public static final byte PALETTE_MONOMER

See Also:
  - Constant Field Values

### PALETTE_MOLECULE

public static final byte PALETTE_MOLECULE

See Also:
  - Constant Field Values

### PALETTE_ALTLOC

public static final byte PALETTE_ALTLOC

See Also:
  - Constant Field Values

### PALETTE_INSERTION

public static final byte PALETTE_INSERTION

See Also:
  - Constant Field Values

### PALETTE_JMOL

public static final byte PALETTE_JMOL

See Also:
  - Constant Field Values

### PALETTE_RASMOL

public static final byte PALETTE_RASMOL

See Also:
  - Constant Field Values

### PALETTE_TYPE

public static final byte PALETTE_TYPE

See Also:
  - Constant Field Values

### PALETTE_ENERGY

public static final byte PALETTE_ENERGY

See Also:
  - Constant Field Values

### PALETTE_PROPERTY

public static final byte PALETTE_PROPERTY

See Also:
  - Constant Field Values

### PALETTE_VARIABLE

public static final byte PALETTE_VARIABLE

See Also:
  - Constant Field Values

### PALETTE_STRAIGHTNESS

public static final byte PALETTE_STRAIGHTNESS

See Also:
  - Constant Field Values

### PALETTE_POLYMER

public static final byte PALETTE_POLYMER

See Also:
  - Constant Field Values

### PALETTE_NUCLEIC

public static final byte PALETTE_NUCLEIC

See Also:
  - Constant Field Values

### argbsCpkRasmol

public static final int[] argbsCpkRasmol

### argbsCpk

public static final int[] argbsCpk
Default table of CPK atom colors. ghemical colors with a few modifications

## Method Details

### values

public static PAL[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PAL valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### pidOf

public static byte pidOf(Object value)

### isPaletteVariable

public static boolean isPaletteVariable(byte pid)

### getPalette

public static PAL getPalette(String paletteName)

### getPaletteID

public static final byte getPaletteID(String paletteName)

### getPaletteName

public static final String getPaletteName(byte pid)